#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# CherryMusic - a standalone music server
# Copyright (c) 2012 - 2014 Tom Wallroth & Tilman Boerner
#
# Project page:
#   http://fomori.org/cherrymusic/
# Sources on github:
#   http://github.com/devsnd/cherrymusic/
#
# CherryMusic is based on
#   jPlayer (GPL/MIT license) http://www.jplayer.org/
#   CherryPy (BSD license) http://www.cherrypy.org/
#
# licensed under GNU GPL version 3 (or later)
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>
#

import nose

from mock import *
from nose.tools import *

from cherrymusicserver import log
log.setTest()


from cherrymusicserver import albumartfetcher

def test_methods():
    for method in albumartfetcher.AlbumArtFetcher.methods:
        yield try_method, method

def try_method(method, timeout=15):
    fetcher = albumartfetcher.AlbumArtFetcher(method=method, timeout=timeout)
    results = fetcher.fetchurls('best of')
    results += fetcher.fetchurls('best of')    # once is not enough sometimes (?)
    ok_(results, "method {0!r} results: {1}".format(method, results))


if __name__ == '__main__':
    nose.runmodule()
